Customizing Access Help

Access Help is the online user's guide for your computer. Most of the information users need to get started and use the computer is included in Access Help.

Some users might want to customize Access Help. With the application mentioned in What you need, you can change Access Help to meet your needs.

You can do the following with Access Help content and an HTML editing tool:

  • Add a chapter

  • Delete a chapter

  • Edit a topic

  • Add a topic

  • Delete a topic

  • Add a text link

  • Add Quick Search items

You can customize Access Help without customizing Access IBM. If you do, see "Delivering Access Help files" for information about which files to send to users who have the base installation of Access Help.

Sending periodic updates

If you make periodic changes to company policies or you want employees to have the most up-to-date, forms, news, and resource information, consider revising a chapter regularly. You can control the content and be sure that outdated material is removed, when you deliver the updated, customized chapter.


What you need to customize ThinkPad

What you need to customize Access Help

In addition to the files that constitute Access Help, you will need a copy of Microsoft® HTML Help Workshop, which is available on the following Web site:

http://www.microsoft.com

Access Help is compiled to run as a Microsoft Windows® HTML Help system.

With HTML Workshop you can build a new help system that works with Access IBM and you can add new chapters to Access Help. Depending on your expertise with HTML, you can edit topics in Access Help chapters. In order for graphics to appear correctly, you must "include" the graphics files with the Add Files function.

What you have

Access Help is organized into chapters.

There is a Master file (MASTERAIBM.CHM) that brings the other chapters together. If you add chapters to the help system, you will have to "register" the file with the MASTERAIBM.HHC and then recompile the MASTERAIBM.HHP.

Also included in this package are .hhp files. The .hhp files are located on the same Web site as the Access IBM Customization tool. You will need to download the .hhp files prior to customizing the help system. The .hhp files are organized by machine type. There is one .hhp file for each chapter. An HTML help project (.hhp) file is a text file that brings together all the elements of a help project. It contains the data HTML Help Workshop needs to combine topic (.html, .htm), image (.jpeg, .gif, .png), index (.hhk), and contents (.hhc) files into a single compiled help (.chm) file.

The project file also contains information about how the compiled help file will appear. Window definitions that you specify in the project file determine the attributes of your help windows, such as size and position. It is important that the attributes remain consistent across all .hhp files.

Before making changes to Access Help, make a copy of the Access Help folder on your hard disk. You will work with the new folder and its subfolders as you customize Access Help.

In order to work with existing chapters, you will need to decompile the .CHM files. For information about this procedure, see "Decompiling a file."


Decompiling a file

To edit a chapter or topic, you must complete several procedures.

Determine which chapter you want to work with and then decompile the chapter .CHM file. While using Access Help, note the chapter and topic title you want to edit. After you decompile the .CHM file, the various .htm topics are available for revision or deletion.

1. Create a directory in which you want the decompiled Access Help files to reside.

2. In HTML Help Worshop, click File --> Decompile...

3. Browse for the destination folder you just created where the decompiled files will be placed.

4. Browse for the compiled help file (.chm file) that you want to decompile.

5. Click OK. HTML Help Workshop decompiles the compiled help file and places the decompiled files in the directory you created in Step 1. You can now edit any of the files in the folder.


Add a chapter

Adding a chapter

To add a chapter to Access Help, follow these steps:

  1. In order for the new project to be compatible with existing Access Help topics, the window type and window parameters must be consistent with current Access Help topics in the .hhp file. Use the following window specifications for Window Types or Window Properties:

  • Window Name: ThinkPadHelpCenter

  • Titlebar text: Access Help

  • Verify that the following buttons are marked to be present:

  • Hide/Show

  • Back

  • Forward

  • Print

  • Use the following values for the placement and size of the window:

  • Left: 600

  • Top: 5

  • Width: 429

  • Height: 700

  • Make sure the following files are specified in the Windows settings.

  • The TOC file specified in the Window Properties or Windows Type must be "masteraibm.hhc" in order for the the Quick Search to Work in Access IBM for proper navigation among the chapters.

  • If you plan to have an index, be sure that an index file is specified. Also verify that you have specified for a binary index to be created when your project is compiled. (In HTML Help Workshop, click the Project tab. Click this button [image]. Then click Compiler. Select Create Binary Index and Compile full-text search information.

  • Click this button [image]. Under the Navigation Pane tab, select Open with navigation pane, topic pane, and button, Open with navigation pane closed, Auto Sync, Search tab.

  1. Create the chapter in your HTML Help development tool.

  2. In order for this chapter to open all the other chapters in the Access Help help system, you must merge all the other files in your help system with this file.

    3. If you are using HTML Help Workshop do the following:

  • In the Project tab, click the button that looks like this:

  • Type the names of all the .CHM files that constitute the help system. If you are using all of Access Help and including an additional chapter, type the names of all the .CHM files, including the new chapter.

  1. Compile the chapter.

Be sure that your new chapter has at least one item in the table of contents. For information about creating a table of contents, see the online help.

Now you need to "register" the new chapter with the Master document.

  1. Decompile the MASTERAIBM.CHM file. For information about decompiling files, see "Decompiling a file."
  2. In the MASTER folder that you created in the decompiling process, open the MASTERAIBM.HHC file.
  3. In the position where you want the new chapter to appear, type the following HTML code:

<object type="text/sitemap">

<param name="Merge" value="mk:@MSITStore:newchapter.chm::\newchapter.hhc">

</object>

where newchapter is the name of the new chapter you created.

  1. Open the new chapter folder, and copy the file with the following file extension: *.CHM
  2. Paste the copied file into the Master folder.
  3. Open the Master project file. (In HTML Help Workshop, the file name is MASTERAIBM.HHP.) Add the new chapter .CHM file to the Project Settings. To do this, follow these steps:

  1. Click File-->Project Settings.

  2. In the Merged Files box, click Add.

  3. The .CHM file (as well as other .CHM files in the MASTER folder) opens in a list.

  4. Select the .CHM file you just added, and then click OK.

  5. Compile the project, and then close the project.


Delete a chapter

Deleting a chapter

To delete a chapter, follow these steps:

  1. In Access Help, identify the name of the chapter you want to delete.
  2. Open the Windows Help Directory.
  3. Make a backup copy of the .CHM file, in case you need to use them later.
  4. Delete the .CHM file associated with the chapter you want to delete.


Add a topic

Adding a topic

To add a topic:

  1. In Access Help, find the chapter or topic related to the topic you want to add. With your cursor in the topic text panel, right-click to open the options menu.
  2. Click Properties, and then note the chapter location beside Address (URL). For example, if you want to add a topic to the chapter in which "Use the TrackPoint" appears, the location would be "trackpt::/pntstick.htm".
  3. De compile the chapter file that you want to add the topic to. For information about decompiling a chapter, see "Decompiling a file ."
  4. After you have decompile the chapter to which you want to add a topic, follow the instructions your tool offers for creating an HTML project after you have decompiled it.
  5. Compose your text, adding links and buttons as necessary.
  6. Add the topic to the .HHC file in the location that you want it to appear in Access Help using HTML Help Workshop.
  7. Compile the chapter. See "Add a chapter" for information about merging all the help files and setting the Window Type or Properties information correctly.
  8. If you include the new topic in the contents of the file, the HTML authoring tool will create an updated contents (.HHC) file.
  9. Copy the chapter .CHM file into to MASTER folder.


Edit a topic

Editing a topic

To edit a topic:

  1. In Access Help, find the topic you want to edit.
  2. With your cursor in the topic text panel, right-click and an options menu opens.
  3. Click Properties, and then note the chapter location beside Address (URL).
  4. You will n ee d to de compile the chapter file with which the topic is associated. For information about decompiling a chapter, see "Decompiling a file ."
  5. Edit the topic in your HTML editing tool and recompile the chapter.


Delete a topic

Deleting a topic

To delete a topic:

  1. In Access Help find the chapter related to the topic you want to delete. For example, click "Use the TrackPoint."
  2. With your cursor in the topic text panel, right-click to open the options menu.
  3. Click Properties, and then note the chapter location beside Address (URL). For example, if you want to delete a topic from the chapter in which "Using the TrackPoint" appears, the location would be trackpt.chm::/pntstick.htm.
  4. Decompile the chapter file with which the topic is associated. For information about decompiling a chapter, see "Decompiling a file ."
  5. Delete the topic from the project folder and use your HTML authoring tool to delete the topic from the .HHC file.
  6. Compile your edited chapter. If you have deleted a topic from the table of contents, the recompiled contents will not include deleted topic.
Note: If you delete or edit topics, there might be broken links from other chapters.


Text links

You can add, edit, and delete text links.

To add a text link, do the following:

  1. In Access Help, open the topic in which you want to add a text link.
  2. With your cursor in the topic text panel, right-click to open the options menu.
  3. Click Properties, and then note the location and filename of the topic beside Address (URL).
  4. If the topic to which you want the text to link is in a different chapter, follow steps 1 through 3 to find the location and filename of that topic. You will use this information later.
  5. Decompile the chapter file that contains the topic you are adding a text link to. For information about decompiling a chapter, see "Decompiling a file ."
  6. Select or insert the text that you want to link to another topic. If you are working in HTML Help Workshop, do the following:

    1. Determine the text you want to link to another topic.

    2. Immediately before the text, type the following HTML code:

      A HREF=lcserial.htm (if the topic is in the same project)

      OR

      A HREF="mk:@MSITStore:software.chm::/powwiz.htm" (if the topic is in a different project where is the project number and filename.htm is HTML file within the other topic.)

    3. Immediately after the text you want to be highlighted as a link, type this: </A>

  7. Recompile the chapter file. Place the .CHM and .HHC files into the CHM folder.

    8. Note: If you delete or edit topics, there might be broken links from other chapters.

To edit a text link, do the following:

  1. In Access Help, open the topic in which you want to edit a text link.
  2. With your cursor in the topic text panel, right-click to open the options menu.
  3. Click Properties, and then note the location and filename of the topic beside Address (URL). For example, if you want to work with "Use audio features," the location would be "present.chm::/useaudio.htm".
  4. If the topic to which you want the text to link is in a different chapter, follow steps 1 through 3 to find the location and filename of that topic. You will use this information later.
  5. Decompile the chapter file with which the topic is associated. For information about decompiling a chapter, see "Decompiling a file ."
  6. After you have decompiled the file and made the changes to your text link, recompile the project file. See "Add a chapter" for information about making sure the correct files are merged and the Window Type or Window Properties information is set correctly.

To delete a text link, do the following:

  1. In Access Help, open the topic in which you want to delete a text link.
  2. With your cursor in the topic text panel, right-click to open the options menu.
  3. Click Properties, and then note the location and filename of the topic beside Address (URL). For example, if you want to work with "Use audio features," the location would be "present.chm::/useaudio.htm".
  4. Decompile the chapter file with which the topic is associated. For information about decompiling a chapter, see "Decompiling a file ."
  5. After you have decompiled the file and recreated the project file, see "Add a chapter" for information about making sure the correct files are merged and the Window Type or Window Properties information is set correctly.
  6. If you are using HTML Help Workshop, do the following:

  • Find the text that is linked.

  • Immediately before the linked text, delete the code that looks like this:

    <A HREF="...">

  • Immediately following the text delete the following code: </A>

  1. Compile the file. Copy the .CHM files to the MASTER directory.

Remember: If you delete or edit topics, there might be broken links from other chapters.


Add index items

Adding Quick Search items

The Quick Search in Access IBM searches the index items in each Access Help chapter. In order for your new chapters or topics to be accessible through the Quick Search, the topics must be a part of the index.

In HTML Help Workshop, do the following to add index items that will be associated with topics:

  1. Click the Index tab.
  2. Click the Key icon.
  3. Type the entry you want to appear in the index, and then click Add. A list of the topic files opens.
  4. Select the topic file you want to associate with the index entry, and then click OK.
  5. Specify that a binary index be created when your project is compiled: Click the Project tab. Click this button: . Then click Compiler. Select Create Binary Index.
  6. If you are finished making changes to this file, compile it, and then add the .CHM files to the folder that contains the other .CHMs.


Delivering Access Help files

This page provides information about duplicating your changes to Access Help on other computers.

All Access Help files are stored in the following directory:

c:\ibmtools\ibmhelp\chms

If you chose to delete a chapter, you must delete that chapter and its corresponding HHC file from other computers that have the standard Access Help files. No files need to be sent to other computers in this case.

If you have made changes to the chapters or topics, follow these steps to send the proper files to other computers so they will have the customized version of Access Help.

  1. Compile the chapters into HTML Help .CHM files according to the instructions of the tool you are using.
  2. Create a self-extracting package that will replace existing files in a specific directory, placing the following file types into the package:

  • The CHM files associated with the chapters you changed or added

    • For example, if you changed the Software chapter, you would package the revised software.chm and software.hhc files and replace the existing files of the same name.

You can send these files by e-mail or post them to an employee Web site.


Trademark notices

The following are trademarks of the IBM Corporation in the United States or other countries or both:

IBM

ThinkPad

TrackPoint

Microsoft and Windows are trademarks of Microsoft Corporation in the United States and/or other countries.

Other company, product, and service names may be trademarks or service marks of others.